strnlen(3)

NAME
strnlen - nonstring length

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>  // see memory.h(3head)

size_t strnlen(const char strn[], size_t n);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

strnlen():
    Since glibc 2.10:
        _POSIX_C_SOURCE >= 200809L
    Before glibc 2.10:
        _GNU_SOURCE

DESCRIPTION
This function determines the length of the character sequence contained in the array pointed to by strn.

If strn contains a string, the array can have less than n elements.

It is equivalent to

    (memchr(strn, '\0', n) ?: strn + n) - strn

RETURN VALUE
The strnlen() function returns the number of nonnull characters in strn.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
POSIX.1-2008.

HISTORY
POSIX.1-2008.

SEE ALSO
memory.h(3head)